TypeScript SDK
import { KaleidoClient } from 'kaleido-sdk';
const client = new KaleidoClient({
baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
});
const assets = await client.listAssets();
console.log(`Found ${assets.assets.length} assets`);import asyncio
from kaleido_sdk import KaleidoClient
async def main():
async with KaleidoClient(
api_url="https://api.staging.kaleidoswap.com/api/v1"
) as client:
assets = await client.list_assets()
print(f"Found {len(assets.assets)} assets")
asyncio.run(main())curl --request GET \
--url https://api.signet.kaleidoswap.com/api/v1/market/assets \
--header 'Authorization: Bearer <token>'
{
"assets": [
{
"asset_id": "rgb:2dkSTbr-jFhznbPmo-TQafzswCN-av4gTsJjX-ttx6CNou5-M98k8Zd",
"ticker": "USDT",
"name": "Tether",
"precision": 0,
"issued_supply": 777,
"timestamp": 1691160565,
"added_at": 1691161979,
"balance": {
"settled": 777,
"future": 777,
"spendable": 777,
"offchain_outbound": 444,
"offchain_inbound": 0
},
"details": "asset details",
"media": {
"file_path": "/path/to/media",
"digest": "5891b5b522d5df086d0ff0b110fbd9d21bb4fc7163af34d08286a2e846f6be03",
"mime": "text/plain"
},
"is_active": true
}
],
"network": "regtest",
"timestamp": 123
}market
List Available Assets
Get all RGB assets supported by the platform
GET
/
api
/
v1
/
market
/
assets
TypeScript SDK
import { KaleidoClient } from 'kaleido-sdk';
const client = new KaleidoClient({
baseUrl: 'https://api.staging.kaleidoswap.com/api/v1'
});
const assets = await client.listAssets();
console.log(`Found ${assets.assets.length} assets`);import asyncio
from kaleido_sdk import KaleidoClient
async def main():
async with KaleidoClient(
api_url="https://api.staging.kaleidoswap.com/api/v1"
) as client:
assets = await client.list_assets()
print(f"Found {len(assets.assets)} assets")
asyncio.run(main())Was this page helpful?
⌘I